> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# suggesteddocument

> SuggestedDocumentProvider creates a MDO list of suggested documents in the database.

## "suggesteddocument" MDO List

SuggestedDocumentProvider creates a MDO list of suggested documents in the database.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SuggestedDocumentProvider">SuggestedDocumentProvider</see> class.
The name of the MDO list is 'suggesteddocument'.

## Additional Attributes

| Description                           | Name                    | Example Value |
| ------------------------------------- | ----------------------- | ------------- |
| Include deleted records               | ShowDeleted             | True          |
| Suggested docs for a given stage link | SaleTypeStageLinkId     | 1234          |
| Suggested docs for a given stage link | ProjectTypeStatusLinkId | 4321          |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/suggesteddocument
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("suggesteddocument", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name            | StyleHint | ExtraInfo |
| -- | --------------- | --------- | --------- |
| 1  | Invitations     |           |           |
| 2  | Write report    |           |           |
| 3  | Write quote doc |           |           |
| 4  | Write a letter  |           |           |

## Related MDO Lists

* "suggesteddocumentheadings"
* "suggesteddocumentheadingswithallitem"
* "suggesteddocumentheadingswithallitemwithnoselection"
* "suggesteddocumentheadingswithnoselection"
* "suggesteddocumentwithallitem"
* "suggesteddocumentwithallitemwithnoselection"
* "suggesteddocumentwithnoselection"


## Related topics

- [SuggestedDocument table](/en/database/tables/suggesteddocument.md)
- [SuperOffice.WebApi.Data.SuggestedDocumentEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SuggestedDocumentEntity.md)
- [Project guides](/en/automation/crmscript/howto/project/guides.md)
- [SuperOffice.WebApi.Data.DocumentEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentEntity.md)
- [SuperOffice.WebApi.Agents.DocumentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.DocumentAgent.md)
- [SuperOffice.WebApi.Agents.IDocumentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IDocumentAgent.md)
